Groovy 1.7.0

## groovy.util
Interface ObjectGraphBuilder.RelationNameResolver

    interface ObjectGraphBuilder.RelationNameResolver

Strategy for resolving a relationship property name.

Method Summary
`String` | `resolveChildRelationName(String parentName, Object parent, String childName, Object child)` Returns the mapping name of child -> parent
`String` | `resolveParentRelationName(String parentName, Object parent, String childName, Object child)` Returns the mapping name of parent -> child

Method Detail

### resolveChildRelationName

    public String resolveChildRelationName(String parentName, Object parent, String childName, Object child)

  Returns the mapping name of child -> parent
  param:
    parentName the name of the parent node
  param:
    parent the parent node
  param:
    childName the name of the child node
  param:
    child the child node

### resolveParentRelationName

    public String resolveParentRelationName(String parentName, Object parent, String childName, Object child)

  Returns the mapping name of parent -> child
  param:
    parentName the name of the parent node
  param:
    parent the parent node
  param:
    childName the name of the child node
  param:
    child the child node

Copyright © 2003-2009 The Codehaus. All rights reserved.